summaryrefslogtreecommitdiffstats
path: root/test/units/TEST-52-HONORFIRSTSHUTDOWN.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:40 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:40 +0000
commitfc53809803cd2bc2434e312b19a18fa36776da12 (patch)
treeb4b43bd6538f51965ce32856e9c053d0f90919c8 /test/units/TEST-52-HONORFIRSTSHUTDOWN.sh
parentAdding upstream version 255.5. (diff)
downloadsystemd-fc53809803cd2bc2434e312b19a18fa36776da12.tar.xz
systemd-fc53809803cd2bc2434e312b19a18fa36776da12.zip
Adding upstream version 256.upstream/256
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/units/TEST-52-HONORFIRSTSHUTDOWN.sh')
-rwxr-xr-xtest/units/TEST-52-HONORFIRSTSHUTDOWN.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/units/TEST-52-HONORFIRSTSHUTDOWN.sh b/test/units/TEST-52-HONORFIRSTSHUTDOWN.sh
new file mode 100755
index 0000000..16ff507
--- /dev/null
+++ b/test/units/TEST-52-HONORFIRSTSHUTDOWN.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -ex
+set -o pipefail
+
+systemd-analyze log-level debug
+
+systemctl enable test-honor-first-shutdown.service
+systemctl start test-honor-first-shutdown.service
+
+touch /testok